## alfred 0.1.0

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.1.0
Authors@R: person("Onno", "Kleen", email = "mail@onnokleen.de", role = c("aut", "cre"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: dplyr, tidyr, tibble, magrittr, lubridate, xml2
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-06-06 16:37:59 UTC; Arbeit
Author: Onno Kleen [aut, cre]
Maintainer: Onno Kleen <mail@onnokleen.de>
Repository: CRAN
Date/Publication: 2017-06-06 16:59:50 UTC
