## alfred 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -17,8 +17,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-09-23 09:43:52 UTC; Arbeit
+Packaged: 2017-10-08 21:14:59 UTC; Arbeit
 Author: Onno Kleen [aut, cre]
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2017-09-23 09:49:52 UTC
+Date/Publication: 2017-10-08 21:49:56 UTC
