## alfred 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -17,8 +17,8 @@
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-02-20 09:51:01 UTC; Arbeit
+Packaged: 2018-04-06 09:15:36 UTC; Arbeit
 Author: Onno Kleen [aut, cre]
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2018-02-20 09:55:15 UTC
+Date/Publication: 2018-04-06 12:46:20 UTC
