## alfred 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: alfred
 Title: Downloading Time Series from ALFRED Database for Various
         Vintages
-Version: 0.1.12
+Version: 0.2.0
 Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
 Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
     Its functions return tidy data frames for different releases of the specified time series. 
@@ -16,8 +16,8 @@
 BugReports: https://github.com/onnokleen/alfred/issues
 Suggests: testthat, knitr, rmarkdown, ggplot2, covr
 NeedsCompilation: no
-Packaged: 2021-05-11 09:42:29 UTC; onnokleen
+Packaged: 2021-07-26 09:49:53 UTC; onnokleen
 Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
 Maintainer: Onno Kleen <r@onnokleen.de>
 Repository: CRAN
-Date/Publication: 2021-05-12 15:12:11 UTC
+Date/Publication: 2021-07-26 10:20:02 UTC
