## alfred 0.2.1

=== DESCRIPTION ===
Package: alfred
Title: Downloading Time Series from ALFRED Database for Various
        Vintages
Version: 0.2.1
Authors@R: person("Onno", "Kleen", email = "r@onnokleen.de", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-4731-4640"))
Description: Provides direct access to the ALFRED (<https://alfred.stlouisfed.org>) and FRED (<https://fred.stlouisfed.org>) databases.
    Its functions return tidy data frames for different releases of the specified time series. 
    Note that this product uses the FRED© API but is not endorsed or certified by the Federal Reserve Bank of St. Louis.
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: dplyr, tidyselect, tidyr, tibble, magrittr, lubridate,
        jsonlite, rlang, httr
URL: https://github.com/onnokleen/alfred/
BugReports: https://github.com/onnokleen/alfred/issues
Suggests: testthat, knitr, rmarkdown, ggplot2, covr
NeedsCompilation: no
Packaged: 2023-03-21 08:56:56 UTC; onnokleen
Author: Onno Kleen [aut, cre] (<https://orcid.org/0000-0003-4731-4640>)
Maintainer: Onno Kleen <r@onnokleen.de>
Repository: CRAN
Date/Publication: 2023-03-21 09:10:08 UTC
