=== debian/changelog ===
alfred (2015.2-1) unstable; urgency=low

  * New upstream version (Closes: #807555)

  [Contributions by Franz Schrober]
  * Added debian/watch file and signing key (Closes: #807550)
  * Reviewed debian/copyright,
    also added Franz to copyright holders of debian/* (Closes: #807547)
  * Corrected debian/README (Closes: #807549)
  * Corrected home page URL (Closes: #807552)
  * Added pkg-config to build-dependencies (Closes: #807551)
  * Added 64 bit I/O API to enable large file support (Closes: #807563)
  * Further hardened hardining (Closes: #807562)
  * Likely-fixed: Builds on non-linux systems (Closes: #807546)
  
 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Dec 2015 01:46:20 +0100
  

alfred (2015.1-1) unstable; urgency=low

  * New upstream version
  * Initial release (Closes: #755897)

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Nov 2015 22:10:29 +0100

alfred (2014.3.0+git20140823-1) UNRELEASED; urgency=low

  * New upstream changes.

 -- Steffen Moeller <moeller@debian.org>  Sat, 23 Aug 2014 16:51:58 +0200

alfred (2014.3.0-1) UNRELEASED; urgency=low

  * New upstream tag.

 -- Steffen Moeller <moeller@debian.org>  Thu, 24 Jul 2014 07:30:56 +0200

alfred (2014.2.0-1) UNRELEASED; urgency=low

  * Initial package.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jun 2014 23:15:00 +0200
