=== debian/control ===
Source: alfred
Section: net
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0), libgps-dev, libcap-dev [linux-any], pkg-config
Standards-Version: 3.9.6
Homepage: https://www.open-mesh.org/projects/alfred/wiki

Package: alfred
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: graphviz
Description: Almighty Lightweight Fact Remote Exchange Daemon
 A.L.F.R.E.D. gathers status information in networks with dynamically
 chaing topologies, e.g. a Wifi mesh with mobile clients. It is a
 user space daemon for distributing arbitrary local information
 over the same mesh/network in a decentralized fashion. This data
 can be anything which appears to be useful - originally designed
 to replace the batman-adv visualization (vis), you may distribute
 hostnames, phone books, administration information, DNS information,
 the local weather forecast ...
 .
 Users may insert information by using the alfred binary on the command
 line, or use custom written programs to communicate with alfred directly
 through unix sockets. Once the local data is received, the alfred
 daemon takes care of distributing this information to other alfred
 servers on other nodes somewhere in the network. As addressing scheme
 IPv6 link-local multicast addresses are used which do not require any
 manual configuration. A user can request data from alfred, and will
 receive the information available from all alfred servers in the network.
