=== debian/changelog ===
alfred (2016.1-1build1) bionic; urgency=medium

  * No-change rebuild against libgps23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 19:02:50 +0000

alfred (2016.1-1) unstable; urgency=low

  * New upstream version.
  * Update signing-key to 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9 as
    informed by upstream developer Sven Eckelmann (Closes: #812890)
  * Yet another attempt to build on non-Linux platforms (Closes: #807546)

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 May 2016 19:59:25 +0200
