=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 8.0.0), libgps-dev, libcap-dev [linux-any], pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 
 Package: alfred
