=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export V=s

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING_fortify=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# to make hardening wrapper work
export CC=gcc
export CFLAGS+=-D_FILE_OFFSET_BITS=64

ifneq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_OS),linux)
MAKEOPTIONS = CONFIG_ALFRED_CAPABILITIES=n
endif

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) $(MAKEOPTIONS) PREFIX=/usr 

override_dh_auto_install:
	$(MAKE) $(MAKEOPTIONS) DESTDIR=$(CURDIR)/debian/alfred PREFIX=/usr install

VERSION=$(shell head -n 1 debian/changelog | cut -f2 -d\ |sed -e 's/-[^-]*//' -e 's/^(//' ))
orig.tar.gz:
	a=`pwd`; \
	abase=`basename $$a`; \
	cd .. ; \
	tar --exclude=debian --exclude=.git --exclude .gitattributes --exclude .gitignore -czvf "$${abase}_$(VERSION).orig.tar.gz" $$abase 

override_dh_auto_clean:
	$(MAKE) $(MAKEOPTIONS) -j1 clean
