=== debian/changelog ===
alfred (2019.5-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:55:46 +0000

alfred (2019.5-1) unstable; urgency=low

  * New upstream version.
  * Added d/u/metadata - analogous to the one for batman
  * Added Sven Eckelmann to uploaders
  * Upgraded to policy 4.4.1, no changes required

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:45:22 +0100

alfred (2018.2-3) UNRELEASED; urgency=low

  * Corrected attribution from Sebastian to Sven - sorry

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:42:30 +0100

alfred (2018.2-2) unstable; urgency=low

  * Added Sven Eckelmann's patch to overcome changed
    API of libgpds:

    libgpsd 3.20 removed the timestamp_t type and the function
    unix_to_iso8601(). The same release introduced the timespec_t based
    function timespec_to_iso8601().

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jan 2020 16:30:57 +0100
