=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
- libgps-dev,
+Build-Depends: debhelper-compat (= 12),
+ libgps-dev (>= 3.20),
  libcap-dev [linux-any],
  libnl-3-dev, libnl-genl-3-dev,
  pkg-config
-Standards-Version: 4.1.5
-Vcs-Browser: https://github.com/ffoh/debian-alfred
-Vcs-Git: https://github.com/ffoh/debian-alfred.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 
 Package: alfred
