=== debian/watch ===
version=4
opts="pgpmode=auto" https://downloads.open-mesh.org/batman/releases/batman-adv-(.*)/alfred-(.*)\.tar\.gz
