=== debian/changelog ===
alfred (2020.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 24 Aug 2020 21:20:33 +0200

alfred (2020.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 06 Jul 2020 17:50:30 +0200

alfred (2020.1-1) unstable; urgency=medium

  [ Sven Eckelmann ]
  * Team upload.
  * New Upstream Version
  * debian/control:
    - Switch maintainer to Debian CommunityWLAN Team
    - Switch to debhelper compat 13
    - Specify Vcs branch name for current target
    - Allow build without (fake)root
    - Upgraded to policy 4.5.0, no changes required
  * debian/patches:
    - Drop upstream merged sven_timestamp_t.patch
  * debian/upstream/signing-key.asc
    - Switch to same keyring as batctl
  * Drop duplicated fields from upstream/metadata
  * Rewrite of debian/copyright to reflect current situation
  * debian/rules
    - rewrite to match batctl rules
    - Fix FTCBFS: Provide a PKG_CONFIG for all make targets
    - Use dh_auto_* instead of calling $(MAKE) manually
    - drop unused orig.tar.gz target
    - drop legacy hardening workarounds
    - enable link-time optimization

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Sven Eckelmann <sven@narfation.org>  Thu, 04 Jun 2020 00:29:17 +0200
