=== debian/control ===
--- 
+++ 
@@ -1,21 +1,29 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.open-mesh.org/projects/alfred/wiki
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
+Build-Depends:
+ debhelper-compat (= 13),
+ libcap-dev [linux-any],
  libgps-dev (>= 3.20),
- libcap-dev [linux-any],
- libnl-3-dev, libnl-genl-3-dev,
- pkg-config
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git
-Homepage: https://www.open-mesh.org/projects/alfred/wiki
+ libnl-3-dev,
+ libnl-genl-3-dev,
+ pkg-config,
 
 Package: alfred
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: graphviz
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ graphviz,
 Description: Almighty Lightweight Fact Remote Exchange Daemon
  A.L.F.R.E.D. gathers status information in networks with dynamically
  chaing topologies, e.g. a Wifi mesh with mobile clients. It is a
