## alfred 2022.0

=== debian/changelog ===
alfred (2022.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 03 Feb 2022 19:03:08 +0100

alfred (2021.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 26 Nov 2021 20:03:46 +0100

alfred (2021.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Sep 2021 20:42:58 +0200

alfred (2021.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 Aug 2021 11:06:30 +0200

alfred (2021.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Switch to correct DEP-14 unstable branch name

 -- Sven Eckelmann <sven@narfation.org>  Sun, 15 Aug 2021 09:00:46 +0200

alfred (2021.0-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.5.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Thu, 28 Jan 2021 18:07:05 +0100
