=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
 Build-Depends:
  debhelper-compat (= 13),
