## alfred 2022.2

=== debian/changelog ===
alfred (2022.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 26 Jul 2022 21:38:01 +0200

alfred (2022.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 06 May 2022 19:56:14 +0200
