## alfred 2022.3

=== debian/changelog ===
alfred (2022.3-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Drop superfluous file pattern debugfs.*
    - Update copyright years to 2022
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:38:37 +0100

alfred (2022.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 10 Nov 2022 20:43:09 +0100
